This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 977497 - gluster spamming with E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused) when nfs daemon is off [NEEDINFO]
gluster spamming with E [socket.c:2788:socket_connect] 0-management: connecti...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.4.1
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 13:46 EDT by Lukas Bezdicka
Modified: 2015-12-01 11:45 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 09:14:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ndevos: needinfo? (social)


Attachments (Terms of Use)

  None (edit)
Description Lukas Bezdicka 2013-06-24 13:46:29 EDT
Description of problem:
/var/log/glusterfs/etc-glusterfs-glusterd.vol.log is being spammed with 
E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused) when nfs daemon is off.

Version-Release number of selected component (if applicable):
3.4.0-beta3

How reproducible:


Steps to Reproduce:
1.create volume
2.turn off nfs for this volume
3.get spammed

Actual results:
tons of E [socket.c:2788:socket_connect] 0-management: connection attempt failed (Connection refused)

Expected results:
no spam in logs

Additional info:
Comment 1 Kaleb KEITHLEY 2013-06-24 13:56:08 EDT

*** This bug has been marked as a duplicate of bug 976750 ***
Comment 2 Lukas Bezdicka 2013-12-17 11:03:32 EST
Setting release version to 3.4.1 and priority to high as gluster's nfs daemon has quite high memory impact yet if you turn it off it spams logs too much.
Comment 3 Anand Avati 2013-12-17 11:09:29 EST
REVIEW: http://review.gluster.org/6293 (mgmt/glusterd: Spawn nfs only if it is enabled on at least one volume) posted (#2) for review on master by Vijay Bellur (vbellur@redhat.com)
Comment 4 Niels de Vos 2014-05-12 09:27:34 EDT
This seems to have been fixed in master and release-3.5, at least I can not reproduce this with those versions.

Lukas, do you need this in a 3.4 based version, or are you happy to have it in a 3.5 one?
Comment 5 Joe Julian 2014-05-12 09:43:23 EDT
I need it in release-3.4
Comment 6 Niels de Vos 2015-05-17 17:59:42 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 7 Kaleb KEITHLEY 2015-10-07 09:14:39 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.